import 'package:intl/intl.dart';

extension NumExtension on num {
  String toFormatThousandSeparator() {
    final NumberFormat format = NumberFormat("#,###.##");
    String result = format.format(this);
    return result.trim();
  }

  num get avoidFloatingPoint {
    return num.parse(toStringAsFixed(1));
  }

  num numberRemoveTrailingZero() {
    RegExp regex = RegExp(r'([.]*0)(?!.*\d)');

    String s = toString().replaceAll(regex, '');
    return num.parse(s);
  }
}
